#include<stdio.h>
#include<string.h>
#include<algorithm>
#include<iostream>
using namespace std;
main()
{
        string s;
        cin>>s;
        int i,n,cif,br=0;
        n=s.length();
        for(i=0;i<n;i++)
        {
            cif=(int)(s[i])-(int)('0');
            switch(cif)
            {
                case 1:case 2:case 5: {br++;break;}
                case 3:case 4:case 6:case 7: {br+=2;break;}
                case 8:case 9: {br+=3;break;}
            }
        }
        cout<<br;

}